/*
 * FlpCanvas.java
 *
 * Copyright (c) 2001- Kenta Cho. All rights reserved.
 */

import com.nttdocomo.ui.*;

/**
 * Flappy Time base canvas.
 *
 * @author cs8k-cyu@asahi-net.or.jp
 */
// for 503i
public class FlpCanvas extends Canvas {
// for i-JADE
//public class FlpCanvas extends Canvas implements Runnable {
  private ClockManager clockManager;

  public FlpCanvas() {
    setSoftLabel(Frame.SOFT_KEY_1, "C");
    setSoftLabel(Frame.SOFT_KEY_2, "I");
    setBackground(Graphics.getColorOfName(Graphics.WHITE));
    clockManager = new ClockManager();
  }

  public void run() {
    clockManager.init(this);
    clockManager.loop();
  }

  public void paint(Graphics g) {
  }
}
